// @flow
import { Platform, StyleSheet } from 'react-native';

const styles = StyleSheet.create({
  label: {
    ...Platform.select({
      web: {
        transitionDuration: '0.18s',
        transitionProperty: 'transform, color',
        transitionTimingFunction: 'cubic-bezier(0.4, 0, 0.2, 1)',
      },
    }),
    display: 'flex',
    width: 200,
    position: 'relative',
    top: -28,
    zIndex: -1,
  },
  raised: {
    transform: [{ translateY: -18 }],
  },
});

export default styles;
